# sublime_api

A simple API client that parse responses for you.

## Usage

Lets take a look at how to use `BlocBuilder` to hook up a `CounterPage` widget to a `CounterCubit`.

### counter_cubit.dart

```dart
  SublimeApi sublimeApi = SublimeApi(
    baseUrl: "https://dogs-life-test.herokuapp.com/",
    debug: false,
  );

  Future<void> getDogs() async {
    
    ApiResponse data = await sublimeApi.get(
      path: "dogs",
      fromJson: (json) => Dog.fromJson(json),
      parseList: (body) => List<Dog>.from(body.map((i) => i as Dog)),
    );
    if (data.success) dogs = data.body;
  }
```

## Getting Started

This project is a starting point for a Flutter
[plug-in package](https://flutter.dev/developing-packages/),
a specialized package that includes platform-specific implementation code for
Android and/or iOS.

For help getting started with Flutter, view our
[online documentation](https://flutter.dev/docs), which offers tutorials,
samples, guidance on mobile development, and a full API reference.

